<?php

class CT_CtHeading_Widget extends Case_Theme_Core_Widget_Base{
    protected $name = 'ct_heading';
    protected $title = 'Case Heading';
    protected $icon = 'eicon-heading';
    protected $categories = array( 'case-theme-core' );
    protected $params = '{"sections":[{"name":"title_section","label":"Title","tab":"content","controls":[{"name":"text_align","label":"Alignment","type":"choose","control_type":"responsive","options":{"left":{"title":"Case Left","icon":"eicon-text-align-left"},"center":{"title":"Case Center","icon":"eicon-text-align-center"},"right":{"title":"Case Right","icon":"eicon-text-align-right"}},"selectors":{"{{WRAPPER}} .ct-heading":"text-align: {{VALUE}};"}},{"name":"title","label":"Title","type":"textarea","label_block":true},{"name":"title_tag","label":"Heading HTML Tag","type":"select","options":{"h1":"H1","h2":"H2","h3":"H3","h4":"H4","h5":"H5","h6":"H6","div":"div","span":"span","p":"p"},"default":"h3"},{"name":"typingout","label":"Typing Out","type":"textarea","description":"Example: &quot;Business&quot;, &quot;Consulting&quot;, &quot;Corporate&quot;","rows":10,"show_label":false},{"name":"title_color","label":"Title Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--title":"color: {{VALUE}};","{{WRAPPER}} .ct-heading .item--title i":"color: {{VALUE}};"},"control_type":"responsive"},{"name":"title_typography","label":"Title Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .ct-heading .item--title"},{"name":"title_space_bottom","label":"Bottom Spacer","type":"slider","control_type":"responsive","size_units":["px"],"default":{"size":0},"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .ct-heading .item--title":"margin-bottom: {{SIZE}}{{UNIT}};"}},{"name":"style","label":"Style","type":"select","options":{"st-default":"Default","st-line-left1":"Line Left Style 1","st-line-left2":"Line Left Style 2","st-line-left3":"Line Left Style 3","st-line-right1":"Line Right Style 1","st-line-top1":"Line Top Style 1","st-line-top2":"Line Top Style 2","st-line-bottom1":"Line Bottom Style 1","st-line-center":"Line Left\/Right"},"default":"st-default"},{"name":"divider_width","label":"Divider Width","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":1000}},"selectors":{"{{WRAPPER}} .ct-heading .item--title.st-line-bottom1 .ct-heading-divider span":"width: {{SIZE}}{{UNIT}};"},"condition":{"style":"st-line-bottom1"}},{"name":"st_line_dot_color1","label":"Line Color 1","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(1) ":"background-color: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(3) ":"background-color: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(4) ":"background-color: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(5) ":"background-color: {{VALUE}} !important;"},"condition":{"style":"st-line-left3"}},{"name":"st_line_dot_color2","label":"Line Color 2","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(2) ":"background-color: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left3 span .dot-shape i:nth-child(6) ":"background-color: {{VALUE}} !important;"},"condition":{"style":"st-line-left3"}},{"name":"st_line_color","label":"Line Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--title.st-line-left1 span i":"background: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left2 span i:after":"background: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-left2 span i:before":"background: {{VALUE}} !important;","{{WRAPPER}} .ct-heading .item--title.st-line-top1 .ct-heading-divider span":"background: {{VALUE}} !important;"},"condition":{"style":["st-line-left1","st-line-left2","st-line-top1"]}},{"name":"ct_animate","label":"Case Animate","type":"select","options":{"":"None","case-fade-in-up":"Case Fade In Up","bounce":"bounce","flash":"flash","pulse":"pulse","rubberBand":"rubberBand","shake":"shake","swing":"swing","tada":"tada","wobble":"wobble","bounceIn":"bounceIn","bounceInDown":"bounceInDown","bounceInLeft":"bounceInLeft","bounceInRight":"bounceInRight","bounceInUp":"bounceInUp","bounceOut":"bounceOut","bounceOutDown":"bounceOutDown","bounceOutLeft":"bounceOutLeft","bounceOutRight":"bounceOutRight","bounceOutUp":"bounceOutUp","fadeIn":"fadeIn","fadeInDown":"fadeInDown","fadeInDownBig":"fadeInDownBig","fadeInLeft":"fadeInLeft","fadeInLeftBig":"fadeInLeftBig","fadeInRight":"fadeInRight","fadeInRightBig":"fadeInRightBig","fadeInUp":"fadeInUp","fadeInUpBig":"fadeInUpBig","fadeOut":"fadeOut","fadeOutDown":"fadeOutDown","fadeOutDownBig":"fadeOutDownBig","fadeOutLeft":"fadeOutLeft","fadeOutLeftBig":"fadeOutLeftBig","fadeOutRight":"fadeOutRight","fadeOutRightBig":"fadeOutRightBig","fadeOutUp":"fadeOutUp","fadeOutUpBig":"fadeOutUpBig","flip":"flip","flipInX":"flipInX","flipInY":"flipInY","flipOutX":"flipOutX","flipOutY":"flipOutY","lightSpeedIn":"lightSpeedIn","lightSpeedOut":"lightSpeedOut","rotateIn":"rotateIn","rotateInDownLeft":"rotateInDownLeft","rotateInDownRight":"rotateInDownRight","rotateInUpLeft":"rotateInUpLeft","rotateInUpRight":"rotateInUpRight","rotateOut":"rotateOut","rotateOutDownLeft":"rotateOutDownLeft","rotateOutDownRight":"rotateOutDownRight","rotateOutUpLeft":"rotateOutUpLeft","rotateOutUpRight":"rotateOutUpRight","hinge":"hinge","rollIn":"rollIn","rollOut":"rollOut","zoomIn":"zoomIn","zoomInDown":"zoomInDown","zoomInLeft":"zoomInLeft","zoomInRight":"zoomInRight","zoomInUp":"zoomInUp","zoomOut":"zoomOut","zoomOutDown":"zoomOutDown","zoomOutLeft":"zoomOutLeft","zoomOutRight":"zoomOutRight","zoomOutUp":"zoomOutUp"},"default":""},{"name":"ct_animate_delay","label":"Animate Delay","type":"text","default":"0","description":"Enter number. Default 0ms"}]},{"name":"sub_title_section","label":"Sub Title","tab":"content","condition":{"style":["st-default","st-line-left2","st-line-left3","st-line-bottom1","st-line-center"]},"controls":[{"name":"sub_title","label":"Sub Title","type":"text","label_block":true},{"name":"sub_title_color","label":"Sub Title Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--sub-title":"color: {{VALUE}};","{{WRAPPER}} .ct-heading .item--sub-title.style3:before":"background-color: {{VALUE}};","{{WRAPPER}} .ct-heading .item--sub-title.style7:before":"background-color: {{VALUE}};","{{WRAPPER}} .ct-heading .item--sub-title.style7:after":"background-color: {{VALUE}};"}},{"name":"sub_title_typography","label":"Sub Title Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .ct-heading .item--sub-title"},{"name":"sub_title_space_top","label":"Top Spacer","type":"slider","control_type":"responsive","size_units":["px"],"default":{"size":0},"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .ct-heading .item--sub-title":"margin-top: {{SIZE}}{{UNIT}};"},"condition":{"sub_title_style":"style2"}},{"name":"sub_title_space_bottom","label":"Bottom Spacer","type":"slider","control_type":"responsive","size_units":["px"],"default":{"size":9},"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .ct-heading .item--sub-title":"margin-bottom: {{SIZE}}{{UNIT}};"},"condition":{"sub_title_style":"style1"}},{"name":"sub_title_style","label":"Style","type":"select","options":{"style1":"Style 1","style2":"Style 2","style3":"Style 3","style4":"Style 4","style5":"Style 5","style6":"Style 6","style7":"Style 7","style8":"Style 8","style9":"Style 9","style10":"Style 10 (Dots)"},"default":"style1"},{"name":"sub_title_line","label":"Line","type":"select","options":{"show":"Show","hide":"Hide"},"default":"show","condition":{"style":["st-default","st-line-bottom1"],"sub_title_style":["style1","style2","style3","style4","style5","style6","style7","style8","style9"]}},{"name":"sub_line_color","label":"Sub Line Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--sub-title.style1::before":"background: {{VALUE}} !important;"},"condition":{"style":["st-default"]}}]}]}';
    protected $styles = array(  );
    protected $scripts = array(  );
}